Subject: bug#14738: 24.3.50; defcustom :type (repeat (cons symbol plist)) when nil is the default value.

From: Jambunathan K <[email-masked]>
Date: Sat, 29 Jun 2013 00:36:56 +0530

Drew Adams <[email-masked]> writes:

>> 0. C-M-x the below defcustom.  This is copied verbatim from gnus-art.el
>> 1. M-x customize-variable RET gnus-face-properties-alist RET
>> 2. The first PROP VALUE pair in the widget is more indented than the rest.
>> 
>> 3. Change the standard value to nil.  C-M-x it.
>> 4. Note that the INS DEL button for the plist is not available.  i.e., I
>>    cannot add more than one PROP VALUE pair.
>
> FWIW, I do not see that behavior with emacs -Q in this build:
>
> In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
>  of 2013-06-27 on ODIEONE
> Bzr revision: 113205 [email-masked]
> Windowing system distributor `Microsoft Corp.', version 6.1.7601
> Configured using:
>  `configure --prefix=/c/Devel/emacs/binary --enable-checking=yes,glyphs
>  CFLAGS=-O0 -g3 LDFLAGS=-Lc:/Devel/emacs/lib
>  CPPFLAGS=-Ic:/Devel/emacs/include'
>
> It behaves normally, AFAICT.  With nil as the default value,
> I get a INS button, and after clicking it I get another one
> (at the same level), so I can define any number of PROP VALUE pairs.

This is what I see with emacs -Q. 

Should be a XFCE, Debian/Squeeze issue?

,----
| Hide Gnus Face Properties Alist:
| INS DEL Image type: nil
|             Plist:             
|             Key: nil        <=================== Missing INS DEL
|             Value: nil
| INS
|     State : EDITED, shown value does not take effect until you set or save it.
|    Alist of image types and properties applied to Face and X-Face images. Hide
|    Here are examples:
`----

> HTH.